Browse Source

Sync with portage [Tue Feb 16 08:30:53 MSK 2016].

mhiretskiy 232
root 6 years ago
parent
commit
e2a6cac56d
  1. 1
      app-admin/checksec/Manifest
  2. 30
      app-admin/checksec/checksec-1.7.3.ebuild
  3. 2
      dev-libs/nss/Manifest
  4. 326
      dev-libs/nss/nss-3.19.2.ebuild
  5. 327
      dev-libs/nss/nss-3.21.ebuild
  6. 15
      dev-libs/nss/nss-3.22.ebuild
  7. 2
      dev-ruby/rrdtool-bindings/rrdtool-bindings-1.5.5.ebuild
  8. 1
      games-board/ccgo/Manifest
  9. 55
      games-board/ccgo/ccgo-0.3.6.4.ebuild
  10. 12
      games-board/ccgo/files/ccgo-0.3.6.4-gcc4.patch
  11. 49
      games-emulation/fceux/fceux-2.2.2.ebuild
  12. 1
      games-emulation/mednafen/Manifest
  13. 11
      games-emulation/mednafen/files/mednafen-0.9.38.4-automake-1.13.patch
  14. 28
      games-emulation/mednafen/files/mednafen-0.9.38.4-cflags.patch
  15. 27
      games-emulation/mednafen/files/mednafen-0.9.38.4-zlib.patch
  16. 72
      games-emulation/mednafen/mednafen-0.9.38.4.ebuild
  17. 1
      games-fps/alephone/Manifest
  18. 97
      games-fps/alephone/alephone-20100424.ebuild
  19. 10
      games-fps/alephone/files/alephone-20100424-boost_145.patch
  20. 11
      games-fps/alephone/files/alephone-20100424-gcc47.patch
  21. 19
      games-fps/alephone/files/alephone-20100424-png15.patch
  22. 1
      games-fps/alienarena/Manifest
  23. 59
      games-fps/alienarena/alienarena-20120629.ebuild
  24. 16
      games-fps/alienarena/files/alienarena-20120629-nodocs.patch
  25. 1
      games-fps/darkplaces/Manifest
  26. 188
      games-fps/darkplaces/darkplaces-20110628.ebuild
  27. 1
      games-fps/quake3-defrag/Manifest
  28. 45
      games-fps/quake3-defrag/quake3-defrag-1.91.20.ebuild
  29. 2
      games-roguelike/dwarf-fortress/Manifest
  30. 2
      games-roguelike/dwarf-fortress/dwarf-fortress-0.42.06.ebuild
  31. 1
      games-rpg/manaplus/Manifest
  32. 71
      games-rpg/manaplus/manaplus-1.5.12.19.ebuild
  33. 1
      games-simulation/openttd/Manifest
  34. 42
      games-simulation/openttd/files/openttd-1.5.0-cflags.patch
  35. 177
      games-simulation/openttd/openttd-1.5.0.ebuild
  36. 1
      games-strategy/freeciv/Manifest
  37. 178
      games-strategy/freeciv/freeciv-2.5.2.ebuild
  38. 1
      games-strategy/freecol/Manifest
  39. 29
      games-strategy/freecol/files/freecol-0.10.7-gentoo.patch
  40. 92
      games-strategy/freecol/freecol-0.10.7.ebuild
  41. 1
      games-strategy/lgeneral/Manifest
  42. 100
      games-strategy/lgeneral/lgeneral-1.3.0.ebuild
  43. 109
      games-strategy/s25rttr/s25rttr-0.8.1.ebuild
  44. 4
      gnome-base/dconf/dconf-0.24.0.ebuild
  45. 1
      media-libs/sdl2-image/Manifest
  46. 60
      media-libs/sdl2-image/sdl2-image-2.0.0-r1.ebuild
  47. 1
      media-libs/sdl2-mixer/Manifest
  48. 25
      media-libs/sdl2-mixer/files/sdl2-mixer-2.0.0-Fix-compiling-against-libmodplug-0.8.8.5.patch
  49. 115
      media-libs/sdl2-mixer/sdl2-mixer-2.0.0-r1.ebuild
  50. 1
      media-libs/sdl2-net/Manifest
  51. 36
      media-libs/sdl2-net/sdl2-net-2.0.0-r1.ebuild
  52. 1
      media-libs/sdl2-ttf/Manifest
  53. 16
      media-libs/sdl2-ttf/files/sdl2-ttf-2.0.12-linking.patch
  54. 45
      media-libs/sdl2-ttf/sdl2-ttf-2.0.12-r1.ebuild
  55. 2
      metadata/dtd/timestamp.chk
  56. 2
      metadata/glsa/timestamp.chk
  57. 10
      metadata/md5-cache/app-admin/checksec-1.7.3
  58. 14
      metadata/md5-cache/dev-libs/nss-3.19.2
  59. 14
      metadata/md5-cache/dev-libs/nss-3.21-r1
  60. 4
      metadata/md5-cache/dev-libs/nss-3.22
  61. 4
      metadata/md5-cache/dev-ruby/rrdtool-bindings-1.5.5
  62. 13
      metadata/md5-cache/games-board/ccgo-0.3.6.4
  63. 13
      metadata/md5-cache/games-emulation/fceux-2.2.2
  64. 13
      metadata/md5-cache/games-emulation/mednafen-0.9.38.4
  65. 13
      metadata/md5-cache/games-fps/alephone-20100424
  66. 13
      metadata/md5-cache/games-fps/alienarena-20120629
  67. 13
      metadata/md5-cache/games-fps/darkplaces-20110628
  68. 14
      metadata/md5-cache/games-fps/quake3-defrag-1.91.20
  69. 4
      metadata/md5-cache/games-roguelike/dwarf-fortress-0.42.06
  70. 13
      metadata/md5-cache/games-rpg/manaplus-1.5.12.19
  71. 15
      metadata/md5-cache/games-simulation/openttd-1.5.0
  72. 13
      metadata/md5-cache/games-strategy/freeciv-2.5.2
  73. 13
      metadata/md5-cache/games-strategy/freecol-0.10.7
  74. 13
      metadata/md5-cache/games-strategy/lgeneral-1.3.0
  75. 13
      metadata/md5-cache/games-strategy/s25rttr-0.8.1
  76. 4
      metadata/md5-cache/gnome-base/dconf-0.24.0
  77. 13
      metadata/md5-cache/media-libs/sdl2-image-2.0.0-r1
  78. 14
      metadata/md5-cache/media-libs/sdl2-mixer-2.0.0-r1
  79. 13
      metadata/md5-cache/media-libs/sdl2-net-2.0.0-r1
  80. 13
      metadata/md5-cache/media-libs/sdl2-ttf-2.0.12-r1
  81. 4
      metadata/md5-cache/net-analyzer/rrdtool-1.5.5-r1
  82. 15
      metadata/md5-cache/net-im/ejabberd-16.01
  83. 13
      metadata/md5-cache/net-print/cups-filters-1.4.0
  84. 13
      metadata/md5-cache/net-print/cups-filters-1.8.2
  85. 13
      metadata/md5-cache/sci-libs/cfitsio-3.38
  86. 6
      metadata/md5-cache/sys-apps/etckeeper-1.18.3
  87. 14
      metadata/md5-cache/sys-apps/openrc-0.20.5
  88. 14
      metadata/md5-cache/sys-kernel/gentoo-sources-3.12.54
  89. 4
      metadata/md5-cache/sys-process/htop-2.0.0
  90. 10
      metadata/md5-cache/sys-process/xjobs-20151016
  91. 6
      metadata/md5-cache/www-apache/mpm_itk-2.4.7_p4
  92. 14
      metadata/md5-cache/x11-libs/libdrm-2.4.67
  93. 13
      metadata/md5-cache/x11-misc/sddm-0.12.0-r1
  94. 2
      metadata/news/timestamp.chk
  95. 2
      metadata/timestamp
  96. 2
      metadata/timestamp.chk
  97. 2
      metadata/timestamp.x
  98. 2
      net-analyzer/rrdtool/rrdtool-1.5.5-r1.ebuild
  99. 29
      net-im/ejabberd/Manifest
  100. 346
      net-im/ejabberd/ejabberd-16.01.ebuild

1
app-admin/checksec/Manifest

@ -1 +1,2 @@
DIST checksec-1.7.2.tar.gz 16717 SHA256 eb17f2162e7f563ba0f97d9cf15f92cf1ba2d360c8293a33d66573d5a48822a8 SHA512 1f1c1867b889266c0d035c3f7b028e61ed2cf3413caa789dfb8589b56834194e3367b3868a80984242dadb7629a9a5a7563376a2f37e3971899e2ecc319ee2f1 WHIRLPOOL 3abf206d666751b2449387848afb320185102ddc0f1685db2aa6f4e974a3349e1c4d9551565459d9070cac5218354af1919c5c70af6f0131b9443fcf24a72d35
DIST checksec-1.7.3.tar.gz 49136 SHA256 d9bb3dd6be95a4d30d3ebe6adb8ae2aa64db0b9d2c475db00134a9596d555cbf SHA512 daf311cceb1a2132e87169b3c7a1254a2be418e7274ea9dda0aa7a1a6dbf72aa7531a7d157cd0a776fd7076e75db91ba5fc901fa94ab49d97f9ff7e4c2a56806 WHIRLPOOL 8be332a89727a6d397f5ba8a0e7032d85fce054ef68b83bd7d4460fc521b895eb37b7aa701ff84df6193bd0e032f5c5aa4e67d8823ee0854a1febf73febc10cf

30
app-admin/checksec/checksec-1.7.3.ebuild

@ -0,0 +1,30 @@
# Copyright 1999-2016 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Id$
EAPI="5"
inherit eutils
MY_PN=${PN}.sh
DESCRIPTION="Tool to check properties of executables (e.g. ASLR/PIE, RELRO, PaX, Canaries)"
HOMEPAGE="https://github.com/slimm609/checksec.sh"
SRC_URI="https://github.com/slimm609/${MY_PN}/archive/${PV}.tar.gz -> ${P}.tar.gz"
LICENSE="BSD"
SLOT="0"
KEYWORDS="~amd64 ~x86"
IUSE=""
S="${WORKDIR}"/${MY_PN}-${PV}
DOCS=( ChangeLog README.md )
src_prepare() {
epatch "${FILESDIR}"/${PN}-1.7.2-path.patch
}
src_install() {
default
dobin ${PN}
}

2
dev-libs/nss/Manifest

@ -1,7 +1,7 @@
DIST nss-3.14.1-add_spi+cacerts_ca_certs.patch 25018 SHA256 82ca25982828fd7153ad15fc6e81408c115476eeeb4045d3a71469380b56824b SHA512 2aafbd972b073061bfd66a66a4b50060691957f2910f716f7a69d22d655c499f186f05db2101bea5248a00949f339327ba8bfffec024c61c8ee908766201ae00 WHIRLPOOL c9fe397e316dac7983b187acf7227078ebd8f8da5df53f77f2564489e85f123c4d2afb88d56e8dc14b9ebfffe8a71ade4724b3c1ea683c5c4c487cb3a64eda43
DIST nss-3.19.2.tar.gz 6953657 SHA256 1306663e8f61d8449ad8cbcffab743a604dcd9f6f34232c210847c51dce2c9ae SHA512 d3c45010f8dace58f9da9efe0f9792f8b8a69384e100663f33c949685cdd1ce70e5131f279bc82336622841c41dbc0a4d70a7cc6839a1782dbe8b3c3fd8bc59d WHIRLPOOL d69ab02e12f6b22f47df7be7925343c58e68a69b33833b85d6f2ca70f652d9d159accea45f2c141fa89245ab64dffff0f1289129427564203fe2faf3af1c11e3
DIST nss-3.20.1.tar.gz 6958956 SHA256 ad3c8f11dfd9570c2d04a6140d5ef7c2bdd0fe30d6c9e5548721a4251a5e8c97 SHA512 c8db693a81b8ddb4d2a742c2fce3f23dd40736e54c55c0de072f84572fcdad8fb7646e4b8ea696e4c97ea6c9cb0fa144f573f8776c2839eb25c4075b50d01d74 WHIRLPOOL 3d4667b243ba6ac596ea7e9936bf9cba7aa1b9767fd19b53352c3a9a9eef0f1a0a9e7da719634dbc9dfcc087d187d5e774ae351c1e57545e8b8c1f40e41e42e6
DIST nss-3.20.tar.gz 6955552 SHA256 5e38d4b9837ca338af966b97fc91c07f67ad647fb38dc4af3cfd0d84e477d15c SHA512 50f666209cadd4e463f98643ec67e35f4d1b88381e17db9eed7c67559b19799fcc27e49d72536f546d4c45bca2afa4664e5590f868775a4397a77111d68fc366 WHIRLPOOL 84f20e6764b3621762fcfcb9223a3861e1f5ff02078b19b7df2eb58430a5f96943d962dca2d3366b18cd434acf3d3be746242c5064497167d5671c50233834de
DIST nss-3.21.tar.gz 6978112 SHA256 3f7a5b027d7cdd5c0e4ff7544da33fdc6f56c2f8c27fff02938fd4a6fbe87239 SHA512 0645465b5d1ab05d819355a3f4a2879499539a00d95bfab3ca14a7dcd901e510b5d9ae797386ff5a42f68b0b57f7bbec4ec9d3a85ebd508eb824aba1fb589d53 WHIRLPOOL 7504d83de606d61840e06cb855ea688eb022d5eef062bcb7ac4d1064db96b96e35ae4ce0aff9d389a2140a7c3b974aaa9a86ada52af1199d462fdb48b11b42e4
DIST nss-3.22.tar.gz 6992347 SHA256 30ebd121c77e725a1383618eff79a6752d6e9f0f21882ad825ddab12e7227611 SHA512 f97251a17ad4ea889878ffeba64f19560978cf82c512b84c301be248ee4fe764345838fb8a88233b0fe12abe7bf78ce521a6ac64fa8d16bd0e1283eac9c17be1 WHIRLPOOL 8e128f3c8eb411c6569bd6d4d1edb55041e214913669687a5481d16f9aff245d3fc827f9a8c96e4723b3f0ec127d4461a1cda247dc296d9dce34513c7ab7e43d
DIST nss-pem-015ae754dd9f6fbcd7e52030ec9732eb27fc06a8.tar.bz2 27506 SHA256 50d9ec26a75835e900302f631456e278e13d4b435b8f98aa69f79dd439ddc6ab SHA512 0158a140f112a905f7db5a4f4d04f49f6742db1d2665ddf6c32913c367f0b93a57f86ba13b9883a42a528aff44c48196941d7c0fd7a27005db6adaf07802e501 WHIRLPOOL 279ef11d2d6f0cb7c192189d64bc6971cdada7417b93a65a3ff0ba4548b736b53b9812803024c2349114e94e0864f2b58c23812687ed3f75cf28334b0f6e11ac
DIST nss-pem-20140125.tar.bz2 28805 SHA256 62604dfc4178399a804e87ca7566d8316a0a40a535de3b2d0fa48fd80c97f768 SHA512 352faf812735e1374c534ada6dd577842603ea193dafaacfd51f201599ffe3f7a23ce1c673421e42f8b692091b58085f90843c29f70ae916949715e7baba2b39 WHIRLPOOL 3ae81410f6f4d2699e9dc55982cad03c226045fbeee25984d53d37ff78ce5c96d008d6837e1c0a10b6c96cdff17c21142e437159896d314e81afc8820867ca62

326
dev-libs/nss/nss-3.19.2.ebuild

@ -1,326 +0,0 @@
# Copyright 1999-2015 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Id$
EAPI=5
inherit eutils flag-o-matic multilib toolchain-funcs multilib-minimal
NSPR_VER="4.10.8"
RTM_NAME="NSS_${PV//./_}_RTM"
# Rev of https://git.fedorahosted.org/cgit/nss-pem.git
PEM_GIT_REV="015ae754dd9f6fbcd7e52030ec9732eb27fc06a8"
PEM_P="${PN}-pem-${PEM_GIT_REV}"
DESCRIPTION="Mozilla's Network Security Services library that implements PKI support"
HOMEPAGE="http://www.mozilla.org/projects/security/pki/nss/"
SRC_URI="http://archive.mozilla.org/pub/mozilla.org/security/nss/releases/${RTM_NAME}/src/${P}.tar.gz
cacert? ( https://dev.gentoo.org/~anarchy/patches/${PN}-3.14.1-add_spi+cacerts_ca_certs.patch )
nss-pem? ( https://git.fedorahosted.org/cgit/nss-pem.git/snapshot/${PEM_P}.tar.bz2 )"
LICENSE="|| ( MPL-2.0 GPL-2 LGPL-2.1 )"
SLOT="0"
KEYWORDS="alpha amd64 arm arm64 hppa ia64 m68k ~mips ppc ppc64 s390 sh sparc x86 ~amd64-fbsd ~x86-fbsd ~amd64-linux ~x86-linux ~x86-macos ~sparc-solaris ~x64-solaris ~x86-solaris"
IUSE="+cacert +nss-pem utils"
CDEPEND=">=dev-db/sqlite-3.8.2[${MULTILIB_USEDEP}]
>=sys-libs/zlib-1.2.8-r1[${MULTILIB_USEDEP}]"
DEPEND=">=virtual/pkgconfig-0-r1[${MULTILIB_USEDEP}]
>=dev-libs/nspr-${NSPR_VER}[${MULTILIB_USEDEP}]
${CDEPEND}"
RDEPEND=">=dev-libs/nspr-${NSPR_VER}[${MULTILIB_USEDEP}]
${CDEPEND}
abi_x86_32? (
!<=app-emulation/emul-linux-x86-baselibs-20140508-r12
!app-emulation/emul-linux-x86-baselibs[-abi_x86_32(-)]
)"
RESTRICT="test"
S="${WORKDIR}/${P}/${PN}"
MULTILIB_CHOST_TOOLS=(
/usr/bin/nss-config
)
src_unpack() {
unpack ${A}
if use nss-pem ; then
mv "${PEM_P}"/nss/lib/ckfw/pem/ "${S}"/lib/ckfw/ || die
fi
}
src_prepare() {
# Custom changes for gentoo
epatch "${FILESDIR}/${PN}-3.17.1-gentoo-fixups.patch"
epatch "${FILESDIR}/${PN}-3.15-gentoo-fixup-warnings.patch"
use cacert && epatch "${DISTDIR}/${PN}-3.14.1-add_spi+cacerts_ca_certs.patch"
use nss-pem && epatch "${FILESDIR}/${PN}-3.15.4-enable-pem.patch"
epatch "${FILESDIR}/nss-3.14.2-solaris-gcc.patch"
epatch "${FILESDIR}/${PN}-cacert-class3.patch" # 521462
pushd coreconf >/dev/null || die
# hack nspr paths
echo 'INCLUDES += -I$(DIST)/include/dbm' \
>> headers.mk || die "failed to append include"
# modify install path
sed -e '/CORE_DEPTH/s:SOURCE_PREFIX.*$:SOURCE_PREFIX = $(CORE_DEPTH)/dist:' \
-i source.mk || die
# Respect LDFLAGS
sed -i -e 's/\$(MKSHLIB) -o/\$(MKSHLIB) \$(LDFLAGS) -o/g' rules.mk
popd >/dev/null || die
# Fix pkgconfig file for Prefix
sed -i -e "/^PREFIX =/s:= /usr:= ${EPREFIX}/usr:" \
config/Makefile || die
# use host shlibsign if need be #436216
if tc-is-cross-compiler ; then
sed -i \
-e 's:"${2}"/shlibsign:shlibsign:' \
cmd/shlibsign/sign.sh || die
fi
# dirty hack
sed -i -e "/CRYPTOLIB/s:\$(SOFTOKEN_LIB_DIR):../freebl/\$(OBJDIR):" \
lib/ssl/config.mk || die
sed -i -e "/CRYPTOLIB/s:\$(SOFTOKEN_LIB_DIR):../../lib/freebl/\$(OBJDIR):" \
cmd/platlibs.mk || die
multilib_copy_sources
strip-flags
}
multilib_src_configure() {
# Ensure we stay multilib aware
sed -i -e "/@libdir@/ s:lib64:$(get_libdir):" config/Makefile || die
}
nssarch() {
# Most of the arches are the same as $ARCH
local t=${1:-${CHOST}}
case ${t} in
aarch64*)echo "aarch64";;
hppa*) echo "parisc";;
i?86*) echo "i686";;
x86_64*) echo "x86_64";;
*) tc-arch ${t};;
esac
}
nssbits() {
local cc cppflags="${1}CPPFLAGS" cflags="${1}CFLAGS"
if [[ ${1} == BUILD_ ]]; then
cc=$(tc-getBUILD_CC)
else
cc=$(tc-getCC)
fi
echo > "${T}"/test.c || die
${cc} ${!cppflags} ${!cflags} -c "${T}"/test.c -o "${T}/${1}test.o" || die
case $(file "${T}/${1}test.o") in
*32-bit*x86-64*) echo USE_X32=1;;
*64-bit*|*ppc64*|*x86_64*) echo USE_64=1;;
*32-bit*|*ppc*|*i386*) ;;
*) die "Failed to detect whether ${cc} builds 64bits or 32bits, disable distcc if you're using it, please";;
esac
}
multilib_src_compile() {
# use ABI to determine bit'ness, or fallback if unset
local buildbits mybits
case "${ABI}" in
n32) mybits="USE_N32=1";;
x32) mybits="USE_X32=1";;
s390x|*64) mybits="USE_64=1";;
${DEFAULT_ABI})
einfo "Running compilation test to determine bit'ness"
mybits=$(nssbits)
;;
esac
# bitness of host may differ from target
if tc-is-cross-compiler; then
buildbits=$(nssbits BUILD_)
fi
local makeargs=(
CC="$(tc-getCC)"
AR="$(tc-getAR) rc \$@"
RANLIB="$(tc-getRANLIB)"
OPTIMIZER=
${mybits}
)
# Take care of nspr settings #436216
local myCPPFLAGS="${CPPFLAGS} $($(tc-getPKG_CONFIG) nspr --cflags)"
unset NSPR_INCLUDE_DIR
# Do not let `uname` be used.
if use kernel_linux ; then
makeargs+=(
OS_TARGET=Linux
OS_RELEASE=2.6
OS_TEST="$(nssarch)"
)
fi
export BUILD_OPT=1
export NSS_USE_SYSTEM_SQLITE=1
export NSDISTMODE=copy
export NSS_ENABLE_ECC=1
export FREEBL_NO_DEPEND=1
export ASFLAGS=""
local d
# Build the host tools first.
LDFLAGS="${BUILD_LDFLAGS}" \
XCFLAGS="${BUILD_CFLAGS}" \
NSPR_LIB_DIR="${T}/fakedir" \
emake -j1 -C coreconf \
CC="$(tc-getBUILD_CC)" \
${buildbits:-${mybits}}
makeargs+=( NSINSTALL="${PWD}/$(find -type f -name nsinstall)" )
# Then build the target tools.
for d in . lib/dbm ; do
CPPFLAGS="${myCPPFLAGS}" \
XCFLAGS="${CFLAGS} ${CPPFLAGS}" \
NSPR_LIB_DIR="${T}/fakedir" \
emake -j1 "${makeargs[@]}" -C ${d}
done
}
# Altering these 3 libraries breaks the CHK verification.
# All of the following cause it to break:
# - stripping
# - prelink
# - ELF signing
# http://www.mozilla.org/projects/security/pki/nss/tech-notes/tn6.html
# Either we have to NOT strip them, or we have to forcibly resign after
# stripping.
#local_libdir="$(get_libdir)"
#export STRIP_MASK="
# */${local_libdir}/libfreebl3.so*
# */${local_libdir}/libnssdbm3.so*
# */${local_libdir}/libsoftokn3.so*"
export NSS_CHK_SIGN_LIBS="freebl3 nssdbm3 softokn3"
generate_chk() {
local shlibsign="$1"
local libdir="$2"
einfo "Resigning core NSS libraries for FIPS validation"
shift 2
local i
for i in ${NSS_CHK_SIGN_LIBS} ; do
local libname=lib${i}.so
local chkname=lib${i}.chk
"${shlibsign}" \
-i "${libdir}"/${libname} \
-o "${libdir}"/${chkname}.tmp \
&& mv -f \
"${libdir}"/${chkname}.tmp \
"${libdir}"/${chkname} \
|| die "Failed to sign ${libname}"
done
}
cleanup_chk() {
local libdir="$1"
shift 1
local i
for i in ${NSS_CHK_SIGN_LIBS} ; do
local libfname="${libdir}/lib${i}.so"
# If the major version has changed, then we have old chk files.
[ ! -f "${libfname}" -a -f "${libfname}.chk" ] \
&& rm -f "${libfname}.chk"
done
}
multilib_src_install() {
pushd dist >/dev/null || die
dodir /usr/$(get_libdir)
cp -L */lib/*$(get_libname) "${ED}"/usr/$(get_libdir) || die "copying shared libs failed"
cp -L */lib/libcrmf.a "${ED}"/usr/$(get_libdir) || die "copying libs failed"
cp -L */lib/libfreebl.a "${ED}"/usr/$(get_libdir) || die "copying libs failed"
# Install nss-config and pkgconfig file
dodir /usr/bin
cp -L */bin/nss-config "${ED}"/usr/bin || die
dodir /usr/$(get_libdir)/pkgconfig
cp -L */lib/pkgconfig/nss.pc "${ED}"/usr/$(get_libdir)/pkgconfig || die
# create an nss-softokn.pc from nss.pc for libfreebl and some private headers
# bug 517266
sed -e 's#Libs:#Libs: -lfreebl#' \
-e 's#Cflags:#Cflags: -I${includedir}/private#' \
*/lib/pkgconfig/nss.pc >"${ED}"/usr/$(get_libdir)/pkgconfig/nss-softokn.pc \
|| die "could not create nss-softokn.pc"
# all the include files
insinto /usr/include/nss
doins public/nss/*.h
insinto /usr/include/nss/private
doins private/nss/{blapi,alghmac}.h
popd >/dev/null || die
local f nssutils
# Always enabled because we need it for chk generation.
nssutils="shlibsign"
if multilib_is_native_abi ; then
if use utils; then
# The tests we do not need to install.
#nssutils_test="bltest crmftest dbtest dertimetest
#fipstest remtest sdrtest"
nssutils="addbuiltin atob baddbdir btoa certcgi certutil checkcert
cmsutil conflict crlutil derdump digest makepqg mangle modutil multinit
nonspr10 ocspclnt oidcalc p7content p7env p7sign p7verify pk11mode
pk12util pp rsaperf selfserv shlibsign signtool signver ssltap strsclnt
symkeyutil tstclnt vfychain vfyserv"
# install man-pages for utils (bug #516810)
doman doc/nroff/*.1
fi
pushd dist/*/bin >/dev/null || die
for f in ${nssutils}; do
dobin ${f}
done
popd >/dev/null || die
fi
# Prelink breaks the CHK files. We don't have any reliable way to run
# shlibsign after prelink.
local l libs=() liblist
for l in ${NSS_CHK_SIGN_LIBS} ; do
libs+=("${EPREFIX}/usr/$(get_libdir)/lib${l}.so")
done
liblist=$(printf '%s:' "${libs[@]}")
echo -e "PRELINK_PATH_MASK=${liblist%:}" > "${T}/90nss-${ABI}"
doenvd "${T}/90nss-${ABI}"
}
pkg_postinst() {
multilib_pkg_postinst() {
# We must re-sign the libraries AFTER they are stripped.
local shlibsign="${EROOT}/usr/bin/shlibsign"
# See if we can execute it (cross-compiling & such). #436216
"${shlibsign}" -h >&/dev/null
if [[ $? -gt 1 ]] ; then
shlibsign="shlibsign"
fi
generate_chk "${shlibsign}" "${EROOT}"/usr/$(get_libdir)
}
multilib_foreach_abi multilib_pkg_postinst
}
pkg_postrm() {
multilib_pkg_postrm() {
cleanup_chk "${EROOT}"/usr/$(get_libdir)
}
multilib_foreach_abi multilib_pkg_postrm
}

327
dev-libs/nss/nss-3.21.ebuild

@ -1,327 +0,0 @@
# Copyright 1999-2015 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Id$
EAPI=5
inherit eutils flag-o-matic multilib toolchain-funcs multilib-minimal
NSPR_VER="4.10.8"
RTM_NAME="NSS_${PV//./_}_RTM"
# Rev of https://git.fedorahosted.org/cgit/nss-pem.git
PEM_GIT_REV="015ae754dd9f6fbcd7e52030ec9732eb27fc06a8"
PEM_P="${PN}-pem-20140125"
DESCRIPTION="Mozilla's Network Security Services library that implements PKI support"
HOMEPAGE="http://www.mozilla.org/projects/security/pki/nss/"
SRC_URI="http://archive.mozilla.org/pub/mozilla.org/security/nss/releases/${RTM_NAME}/src/${P}.tar.gz
cacert? ( https://dev.gentoo.org/~anarchy/patches/${PN}-3.14.1-add_spi+cacerts_ca_certs.patch )
nss-pem? ( https://dev.gentoo.org/~anarchy/dist/${PEM_P}.tar.bz2 )"
LICENSE="|| ( MPL-2.0 GPL-2 LGPL-2.1 )"
SLOT="0"
KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~amd64-fbsd ~x86-fbsd ~amd64-linux ~x86-linux ~x86-macos ~sparc-solaris ~x64-solaris ~x86-solaris"
IUSE="+cacert +nss-pem utils"
CDEPEND=">=dev-db/sqlite-3.8.2[${MULTILIB_USEDEP}]
>=sys-libs/zlib-1.2.8-r1[${MULTILIB_USEDEP}]"
DEPEND=">=virtual/pkgconfig-0-r1[${MULTILIB_USEDEP}]
>=dev-libs/nspr-${NSPR_VER}[${MULTILIB_USEDEP}]
${CDEPEND}"
RDEPEND=">=dev-libs/nspr-${NSPR_VER}[${MULTILIB_USEDEP}]
${CDEPEND}
abi_x86_32? (
!<=app-emulation/emul-linux-x86-baselibs-20140508-r12
!app-emulation/emul-linux-x86-baselibs[-abi_x86_32(-)]
)"
RESTRICT="test"
S="${WORKDIR}/${P}/${PN}"
MULTILIB_CHOST_TOOLS=(
/usr/bin/nss-config
)
src_unpack() {
unpack ${A}
if use nss-pem ; then
mv "${PN}"/lib/ckfw/pem/ "${S}"/lib/ckfw/ || die
fi
}
src_prepare() {
# Custom changes for gentoo
epatch "${FILESDIR}/${PN}-3.21-gentoo-fixups.patch"
epatch "${FILESDIR}/${PN}-3.21-gentoo-fixup-warnings.patch"
use cacert && epatch "${DISTDIR}/${PN}-3.14.1-add_spi+cacerts_ca_certs.patch"
use nss-pem && epatch "${FILESDIR}/${PN}-3.21-enable-pem.patch" \
"${FILESDIR}/${PN}-3.21-pem-werror.patch"
epatch "${FILESDIR}/${PN}-3.21-cacert-class3.patch" # 521462
pushd coreconf >/dev/null || die
# hack nspr paths
echo 'INCLUDES += -I$(DIST)/include/dbm' \
>> headers.mk || die "failed to append include"
# modify install path
sed -e '/CORE_DEPTH/s:SOURCE_PREFIX.*$:SOURCE_PREFIX = $(CORE_DEPTH)/dist:' \
-i source.mk || die
# Respect LDFLAGS
sed -i -e 's/\$(MKSHLIB) -o/\$(MKSHLIB) \$(LDFLAGS) -o/g' rules.mk
popd >/dev/null || die
# Fix pkgconfig file for Prefix
sed -i -e "/^PREFIX =/s:= /usr:= ${EPREFIX}/usr:" \
config/Makefile || die
# use host shlibsign if need be #436216
if tc-is-cross-compiler ; then
sed -i \
-e 's:"${2}"/shlibsign:shlibsign:' \
cmd/shlibsign/sign.sh || die
fi
# dirty hack
sed -i -e "/CRYPTOLIB/s:\$(SOFTOKEN_LIB_DIR):../freebl/\$(OBJDIR):" \
lib/ssl/config.mk || die
sed -i -e "/CRYPTOLIB/s:\$(SOFTOKEN_LIB_DIR):../../lib/freebl/\$(OBJDIR):" \
cmd/platlibs.mk || die
multilib_copy_sources
strip-flags
}
multilib_src_configure() {
# Ensure we stay multilib aware
sed -i -e "/@libdir@/ s:lib64:$(get_libdir):" config/Makefile || die
}
nssarch() {
# Most of the arches are the same as $ARCH
local t=${1:-${CHOST}}
case ${t} in
aarch64*)echo "aarch64";;
hppa*) echo "parisc";;
i?86*) echo "i686";;
x86_64*) echo "x86_64";;
*) tc-arch ${t};;
esac
}
nssbits() {
local cc cppflags="${1}CPPFLAGS" cflags="${1}CFLAGS"
if [[ ${1} == BUILD_ ]]; then
cc=$(tc-getBUILD_CC)
else
cc=$(tc-getCC)
fi
echo > "${T}"/test.c || die
${cc} ${!cppflags} ${!cflags} -c "${T}"/test.c -o "${T}/${1}test.o" || die
case $(file "${T}/${1}test.o") in
*32-bit*x86-64*) echo USE_X32=1;;
*64-bit*|*ppc64*|*x86_64*) echo USE_64=1;;
*32-bit*|*ppc*|*i386*) ;;
*) die "Failed to detect whether ${cc} builds 64bits or 32bits, disable distcc if you're using it, please";;
esac
}
multilib_src_compile() {
# use ABI to determine bit'ness, or fallback if unset
local buildbits mybits
case "${ABI}" in
n32) mybits="USE_N32=1";;
x32) mybits="USE_X32=1";;
s390x|*64) mybits="USE_64=1";;
${DEFAULT_ABI})
einfo "Running compilation test to determine bit'ness"
mybits=$(nssbits)
;;
esac
# bitness of host may differ from target
if tc-is-cross-compiler; then
buildbits=$(nssbits BUILD_)
fi
local makeargs=(
CC="$(tc-getCC)"
AR="$(tc-getAR) rc \$@"
RANLIB="$(tc-getRANLIB)"
OPTIMIZER=
${mybits}
)
# Take care of nspr settings #436216
local myCPPFLAGS="${CPPFLAGS} $($(tc-getPKG_CONFIG) nspr --cflags)"
unset NSPR_INCLUDE_DIR
# Do not let `uname` be used.
if use kernel_linux ; then
makeargs+=(
OS_TARGET=Linux
OS_RELEASE=2.6
OS_TEST="$(nssarch)"
)
fi
export NSS_ENABLE_WERROR=0 #567158
export BUILD_OPT=1
export NSS_USE_SYSTEM_SQLITE=1
export NSDISTMODE=copy
export NSS_ENABLE_ECC=1
export FREEBL_NO_DEPEND=1
export ASFLAGS=""
local d
# Build the host tools first.
LDFLAGS="${BUILD_LDFLAGS}" \
XCFLAGS="${BUILD_CFLAGS}" \
NSPR_LIB_DIR="${T}/fakedir" \
emake -j1 -C coreconf \
CC="$(tc-getBUILD_CC)" \
${buildbits:-${mybits}}
makeargs+=( NSINSTALL="${PWD}/$(find -type f -name nsinstall)" )
# Then build the target tools.
for d in . lib/dbm ; do
CPPFLAGS="${myCPPFLAGS}" \
XCFLAGS="${CFLAGS} ${CPPFLAGS}" \
NSPR_LIB_DIR="${T}/fakedir" \
emake -j1 "${makeargs[@]}" -C ${d}
done
}
# Altering these 3 libraries breaks the CHK verification.
# All of the following cause it to break:
# - stripping
# - prelink
# - ELF signing
# http://www.mozilla.org/projects/security/pki/nss/tech-notes/tn6.html
# Either we have to NOT strip them, or we have to forcibly resign after
# stripping.
#local_libdir="$(get_libdir)"
#export STRIP_MASK="
# */${local_libdir}/libfreebl3.so*
# */${local_libdir}/libnssdbm3.so*
# */${local_libdir}/libsoftokn3.so*"
export NSS_CHK_SIGN_LIBS="freebl3 nssdbm3 softokn3"
generate_chk() {
local shlibsign="$1"
local libdir="$2"
einfo "Resigning core NSS libraries for FIPS validation"
shift 2
local i
for i in ${NSS_CHK_SIGN_LIBS} ; do
local libname=lib${i}.so
local chkname=lib${i}.chk
"${shlibsign}" \
-i "${libdir}"/${libname} \
-o "${libdir}"/${chkname}.tmp \
&& mv -f \
"${libdir}"/${chkname}.tmp \
"${libdir}"/${chkname} \
|| die "Failed to sign ${libname}"
done
}
cleanup_chk() {
local libdir="$1"
shift 1
local i
for i in ${NSS_CHK_SIGN_LIBS} ; do
local libfname="${libdir}/lib${i}.so"
# If the major version has changed, then we have old chk files.
[ ! -f "${libfname}" -a -f "${libfname}.chk" ] \
&& rm -f "${libfname}.chk"
done
}
multilib_src_install() {
pushd dist >/dev/null || die
dodir /usr/$(get_libdir)
cp -L */lib/*$(get_libname) "${ED}"/usr/$(get_libdir) || die "copying shared libs failed"
cp -L */lib/libcrmf.a "${ED}"/usr/$(get_libdir) || die "copying libs failed"
cp -L */lib/libfreebl.a "${ED}"/usr/$(get_libdir) || die "copying libs failed"
# Install nss-config and pkgconfig file
dodir /usr/bin
cp -L */bin/nss-config "${ED}"/usr/bin || die
dodir /usr/$(get_libdir)/pkgconfig
cp -L */lib/pkgconfig/nss.pc "${ED}"/usr/$(get_libdir)/pkgconfig || die
# create an nss-softokn.pc from nss.pc for libfreebl and some private headers
# bug 517266
sed -e 's#Libs:#Libs: -lfreebl#' \
-e 's#Cflags:#Cflags: -I${includedir}/private#' \
*/lib/pkgconfig/nss.pc >"${ED}"/usr/$(get_libdir)/pkgconfig/nss-softokn.pc \
|| die "could not create nss-softokn.pc"
# all the include files
insinto /usr/include/nss
doins public/nss/*.h
insinto /usr/include/nss/private
doins private/nss/{blapi,alghmac}.h
popd >/dev/null || die
local f nssutils
# Always enabled because we need it for chk generation.
nssutils="shlibsign"
if multilib_is_native_abi ; then
if use utils; then
# The tests we do not need to install.
#nssutils_test="bltest crmftest dbtest dertimetest
#fipstest remtest sdrtest"
nssutils="addbuiltin atob baddbdir btoa certcgi certutil checkcert
cmsutil conflict crlutil derdump digest makepqg mangle modutil multinit
nonspr10 ocspclnt oidcalc p7content p7env p7sign p7verify pk11mode
pk12util pp rsaperf selfserv shlibsign signtool signver ssltap strsclnt
symkeyutil tstclnt vfychain vfyserv"
# install man-pages for utils (bug #516810)
doman doc/nroff/*.1
fi
pushd dist/*/bin >/dev/null || die
for f in ${nssutils}; do
dobin ${f}
done
popd >/dev/null || die
fi
# Prelink breaks the CHK files. We don't have any reliable way to run
# shlibsign after prelink.
local l libs=() liblist
for l in ${NSS_CHK_SIGN_LIBS} ; do
libs+=("${EPREFIX}/usr/$(get_libdir)/lib${l}.so")
done
liblist=$(printf '%s:' "${libs[@]}")
echo -e "PRELINK_PATH_MASK=${liblist%:}" > "${T}/90nss-${ABI}"
doenvd "${T}/90nss-${ABI}"
}
pkg_postinst() {
multilib_pkg_postinst() {
# We must re-sign the libraries AFTER they are stripped.
local shlibsign="${EROOT}/usr/bin/shlibsign"
# See if we can execute it (cross-compiling & such). #436216
"${shlibsign}" -h >&/dev/null
if [[ $? -gt 1 ]] ; then
shlibsign="shlibsign"
fi
generate_chk "${shlibsign}" "${EROOT}"/usr/$(get_libdir)
}
multilib_foreach_abi multilib_pkg_postinst
}
pkg_postrm() {
multilib_pkg_postrm() {
cleanup_chk "${EROOT}"/usr/$(get_libdir)
}
multilib_foreach_abi multilib_pkg_postrm
}

15
dev-libs/nss/nss-3.21-r1.ebuild → dev-libs/nss/nss-3.22.ebuild

@ -1,8 +1,9 @@
# Copyright 1999-2015 Gentoo Foundation
# Copyright 1999-2016 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Id$
EAPI=5
EAPI="5"
inherit eutils flag-o-matic multilib toolchain-funcs multilib-minimal
NSPR_VER="4.10.8"
@ -298,13 +299,9 @@ multilib_src_install() {
# Prelink breaks the CHK files. We don't have any reliable way to run
# shlibsign after prelink.
local l libs=() liblist
for l in ${NSS_CHK_SIGN_LIBS} ; do
libs+=("${EPREFIX}/usr/$(get_libdir)/lib${l}.so")
done
liblist=$(printf '%s:' "${libs[@]}")
echo -e "PRELINK_PATH_MASK=${liblist%:}" > "${T}/90nss-${ABI}"
doenvd "${T}/90nss-${ABI}"
dodir /etc/prelink.conf.d
printf -- "-b ${EPREFIX}/usr/$(get_libdir)/lib%s.so\n" ${NSS_CHK_SIGN_LIBS} \
> "${ED}"/etc/prelink.conf.d/nss.conf
}
pkg_postinst() {

2
dev-ruby/rrdtool-bindings/rrdtool-bindings-1.5.5.ebuild

@ -20,7 +20,7 @@ RUBY_S="$MY_P"/bindings/ruby
LICENSE="GPL-2"
SLOT="0"
KEYWORDS="~alpha amd64 ~arm hppa ~mips ~ppc ppc64 ~s390 ~sh ~x86 ~x86-fbsd ~amd64-linux ~ia64-linux ~x86-linux ~x86-macos ~x86-solaris"
KEYWORDS="alpha amd64 ~arm hppa ~mips ~ppc ppc64 ~s390 ~sh ~x86 ~x86-fbsd ~amd64-linux ~ia64-linux ~x86-linux ~x86-macos ~x86-solaris"
IUSE="graph test"
REQUIRED_USE="test? ( graph )"

1
games-board/ccgo/Manifest

@ -1,2 +1 @@
DIST ccgo-0.3.6.4.tar.gz 620246 SHA256 1975a4e9b6661f6613dd3a00b3ee7e176b80244f555a184b258b50ef4352a890 SHA512 54625bbf7036c18f4a9e92df0d7f2d67772138a940c5fdbbffa3d1c2e5c558cad5394d2c556c06388516e53d1f3502cf6369bcd95b1139d4ca5ec4210dcac5c2 WHIRLPOOL dd1b63c6c4360da99f66772373d2b9a0b39b495c57893d89cd69a4db8c0b8c53db059350c906f17a9e1402bacd473827fcce1be4d607c4afa3b1b9eb36de8f9d
DIST ccgo-0.3.6.5.tar.gz 639238 SHA256 d12be7fb9170d650ae78197983fac05af21ddbf47f7b1a2a14de9aa832ed602c SHA512 268c228eee9c42e49df333bfa0707e7b72c39731ccd64239e3c426958f6c17b65658db91bc7ab89548c4cc647ade791a7c67c30c410a5b3935c8fd3f326bf36b WHIRLPOOL 2baa70d05da8698a6115096800ccfd64dfb825c6b819fe9141141334eda53195632ae3dd5ee0031e1c145dbd9e697d6a5bdb8d9f40218c3653dda10d814e9f8d

55
games-board/ccgo/ccgo-0.3.6.4.ebuild

@ -1,55 +0,0 @@
# Copyright 1999-2014 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Id$
EAPI=5
inherit autotools eutils toolchain-funcs flag-o-matic games
DESCRIPTION="An IGS client written in C++"
HOMEPAGE="http://ccdw.org/~cjj/prog/ccgo/"
SRC_URI="http://ccdw.org/~cjj/prog/ccgo/src/${P}.tar.gz"
LICENSE="GPL-3"
SLOT="0"
KEYWORDS="amd64 ~ppc x86"
IUSE="nls"
RDEPEND=">=dev-cpp/gtkmm-2.4:2.4
>=dev-cpp/gconfmm-2.6
nls? ( virtual/libintl )"
DEPEND="${RDEPEND}
virtual/pkgconfig
nls? ( sys-devel/gettext )"
src_prepare() {
sed -i \
-e '/^Encoding/d' \
-e '/^Categories/ { s/Application;//; s/$/GTK;/ }' \
ccgo.desktop.in || die
sed -i \
-e '/^localedir/s/=.*/=@localedir@/' \
-e '/^appicondir/s:=.*:=/usr/share/pixmaps:' \
-e '/^desktopdir/s:=.*:=/usr/share/applications:' \
Makefile.am || die
# cargo cult from bug #569528
append-cxxflags -std=c++11 -fpermissive
find . -name '*.hh' -exec sed -i -e '/sigc++\/object.h/d' {} +
find . -name '*.cc' -exec sed -i -e 's/(bind(/(sigc::bind(/' {} +
epatch "${FILESDIR}"/${P}-gcc4.patch
eautoreconf
}
src_configure() {
egamesconf \
--localedir=/usr/share/locale \
$(use_enable nls)
}
src_compile() {
emake AR="$(tc-getAR)"
}
src_install() {
default
prepgamesdirs
}

12
games-board/ccgo/files/ccgo-0.3.6.4-gcc4.patch

@ -1,12 +0,0 @@
--- gtk/board.cc.orig
+++ gtk/board.cc
@@ -20,9 +20,7 @@
*/
#include <config.hh>
-extern "C" {
#include <gettext.h>
-}
#define _(String) Glib::locale_to_utf8(gettext(String))
#include <board.hh>

49
games-emulation/fceux/fceux-2.2.2.ebuild

@ -1,49 +0,0 @@
# Copyright 1999-2015 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Id$
EAPI=5
inherit eutils scons-utils games
DESCRIPTION="A portable Famicom/NES emulator, an evolution of the original FCE Ultra"
HOMEPAGE="http://fceux.com/"
SRC_URI="mirror://sourceforge/fceultra/${P}.src.tar.gz"
LICENSE="GPL-2"
SLOT="0"
KEYWORDS="amd64 x86"
IUSE="gtk +lua +opengl"
DEPEND="lua? ( dev-lang/lua:0 )
media-libs/libsdl[opengl?,video]
opengl? ( virtual/opengl )
gtk? ( x11-libs/gtk+:3 )
sys-libs/zlib[minizip]"
RDEPEND=${DEPEND}
src_prepare() {
epatch "${FILESDIR}"/${P}-warnings.patch
}
src_compile() {
escons \
GTK=0 \
CREATE_AVI=1 \
SYSTEM_LUA=1 \
SYSTEM_MINIZIP=1 \
$(use_scons gtk GTK3) \
$(use_scons opengl OPENGL) \
$(use_scons lua LUA)
}
src_install() {
dogamesbin bin/fceux
doman documentation/fceux.6
docompress -x /usr/share/doc/${PF}/documentation /usr/share/doc/${PF}/fceux.chm
dodoc -r Authors changelog.txt TODO-SDL bin/fceux.chm documentation
rm -f "${D}/usr/share/doc/${PF}/documentation/fceux.6"
make_desktop_entry fceux FCEUX
doicon fceux.png
prepgamesdirs
}

1
games-emulation/mednafen/Manifest

@ -1,2 +1 @@
DIST mednafen-0.9.38.4.tar.bz2 3820560 SHA256 3298e2d5c03efbe638c2a98bf74435e306768461c65d2bb9b9a95e99dc463105 SHA512 3eb19a10e97cd285387fcf86eae09f550d248ab9c070750b1c0af0f334cce47ea375227df72cf7cdbc2193b311bab5e09108388a15634f694ef398b1a77ac3df WHIRLPOOL 17ae061668052fa33ce08b56d1aac75935bb91d02961d3dad042c07537ef15aa4374730652508941408764e7deb7cfe0969f80f32e6d642d20a32ac053bba491
DIST mednafen-0.9.38.7.tar.bz2 3882418 SHA256 1bb3beef883a325c35d1a1ce14959c307a4c321f2ea29d4ddb216c6dd03aded8 SHA512 759c83928ef7a9e856dc7f546542ab1e7cbe944d0184a7693ce3b1466220233eb40c2b215100920920754eb5a93587bd8e2d8150e00ec9c93da1d518107e0d76 WHIRLPOOL 0cb94abdaa697558f3575c8e4d6e0a816888ace2b860797a8a947ddca3ae66e517dd044f9ce266e7a19ac6e16a56f91bc93db2bbc7a9817e5afcc75a93cb2f42

11
games-emulation/mednafen/files/mednafen-0.9.38.4-automake-1.13.patch

@ -1,11 +0,0 @@
--- mednafen-0.9.28-wip/mednafen/configure.ac
+++ mednafen-0.9.28-wip/mednafen/configure.ac
@@ -13,7 +13,7 @@
AC_CANONICAL_TARGET
AM_INIT_AUTOMAKE([mednafen], $MEDNAFEN_VERSION)
m4_ifdef([AM_SILENT_RULES], [AM_SILENT_RULES])
-AM_CONFIG_HEADER([include/config.h:include/config.h.in])
+AC_CONFIG_HEADERS([include/config.h:include/config.h.in])
AC_PROG_CC
AC_PROG_CPP

28
games-emulation/mednafen/files/mednafen-0.9.38.4-cflags.patch

@ -1,28 +0,0 @@
--- configure.ac.orig
+++ configure.ac
@@ -80,25 +80,6 @@
AC_CHECK_LIB([z], [zlibVersion],[], AC_MSG_ERROR([*** zlib not found!]))
LIBS="$LIBS -lz"
-OPTIMIZER_FLAGS=""
-
-dnl -ffast-math removed January 12, 2013. Don't re-add it, nor any of its sub-options(ESPECIALLY not -funsafe-math-optimizations),
-dnl it messes up certain code(NES resampler, for example) under certain conditions and alignments of the great celestial squid.
-dnl
-dnl In fact, let's explicitly disable it here with -fno-fast-math.
-dnl
-dnl -fomit-frame-pointer is required for some x86 inline assembly to compile.
-dnl
-dnl November 28, 2014: Use -fwrapv unconditionally instead of -fno-strict-overflow, -fno-strict-overflow is buggy
-dnl and does not work as documented/implied.
-dnl
-AX_CFLAGS_GCC_OPTION([-fno-fast-math], OPTIMIZER_FLAGS)
-AX_CFLAGS_GCC_OPTION([-fno-unsafe-math-optimizations], OPTIMIZER_FLAGS)
-AX_CFLAGS_GCC_OPTION([-fno-aggressive-loop-optimizations], OPTIMIZER_FLAGS)
-AX_CFLAGS_GCC_OPTION([-fomit-frame-pointer], OPTIMIZER_FLAGS)
-AX_CFLAGS_GCC_OPTION([-fwrapv], OPTIMIZER_FLAGS)
-
-
WARNING_FLAGS=""
AX_CFLAGS_GCC_OPTION([-Wall], WARNING_FLAGS)
AX_CFLAGS_GCC_OPTION([-Wshadow], WARNING_FLAGS)

27
games-emulation/mednafen/files/mednafen-0.9.38.4-zlib.patch

@ -1,27 +0,0 @@
--- mednafen.orig/src/compress/Makefile.am.inc
+++ mednafen/src/compress/Makefile.am.inc
@@ -1 +1 @@
-mednafen_SOURCES += compress/minilzo.c compress/ioapi.c compress/unzip.c compress/GZFileStream.cpp compress/ZLInflateFilter.cpp
+mednafen_SOURCES += compress/minilzo.c compress/ioapi.c compress/GZFileStream.cpp compress/ZLInflateFilter.cpp
--- mednafen.orig/src/file.cpp
+++ mednafen/src/file.cpp
@@ -29,7 +29,7 @@
#include <errno.h>
#include <trio/trio.h>
-#include "compress/unzip.h"
+#include <minizip/unzip.h>
#include "file.h"
#include "general.h"
--- mednafen.orig/src/Makefile.am
+++ mednafen/src/Makefile.am
@@ -6,7 +6,7 @@
bin_PROGRAMS = mednafen
mednafen_SOURCES = debug.cpp error.cpp mempatcher.cpp settings.cpp endian.cpp mednafen.cpp git.cpp file.cpp general.cpp memory.cpp netplay.cpp state.cpp state_rewind.cpp movie.cpp player.cpp PSFLoader.cpp tests.cpp qtrecord.cpp Stream.cpp MemoryStream.cpp FileStream.cpp IPSPatcher.cpp
-mednafen_LDADD = trio/libtrio.a
+mednafen_LDADD = trio/libtrio.a -lminizip
mednafen_DEPENDENCIES = trio/libtrio.a
if HAVE_SDL

72
games-emulation/mednafen/mednafen-0.9.38.4.ebuild

@ -1,72 +0,0 @@
# Copyright 1999-2015 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Id$
EAPI=5
inherit autotools eutils flag-o-matic pax-utils games
DESCRIPTION="An advanced NES, GB/GBC/GBA, TurboGrafx 16/CD, NGPC and Lynx emulator"
HOMEPAGE="http://mednafen.sourceforge.net/"
SRC_URI="mirror://sourceforge/mednafen/${P}.tar.bz2"
LICENSE="GPL-2"
SLOT="0"
KEYWORDS="amd64 ~ppc x86"
IUSE="alsa altivec cjk debugger jack nls pax_kernel"
RDEPEND="virtual/opengl
media-libs/libsndfile
dev-libs/libcdio
media-libs/libsdl[sound,joystick,opengl,video]
media-libs/sdl-net
sys-libs/zlib[minizip]
alsa? ( media-libs/alsa-lib )
jack? ( media-sound/jack-audio-connection-kit )
nls? ( virtual/libintl )"
DEPEND="${RDEPEND}
virtual/pkgconfig
nls? ( sys-devel/gettext )"
S=${WORKDIR}/${PN}
pkg_pretend() {
if has ccache ${FEATURES} ; then
ewarn
ewarn "If you experience build failure, try turning off ccache in FEATURES."
ewarn
fi
}
src_prepare() {
sed -i \
-e 's:$(datadir)/locale:/usr/share/locale:' \
$(find . -name Makefile.am) \
intl/Makefile.in || die
epatch \
"${FILESDIR}"/${P}-zlib.patch \
"${FILESDIR}"/${P}-cflags.patch \
"${FILESDIR}"/${P}-automake-1.13.patch
eautoreconf
}
src_configure() {
# very sensitive code (bug #539992)
strip-flags
append-flags -fomit-frame-pointer -fwrapv
egamesconf \
$(use_enable alsa) \
$(use_enable altivec) \
$(use_enable cjk cjk-fonts) \
$(use_enable debugger) \
$(use_enable jack) \
$(use_enable nls)
}
src_install() {
DOCS="Documentation/cheats.txt ChangeLog TODO" \
default
if use pax_kernel; then
pax-mark m "${D}${GAMES_BINDIR}"/mednafen || die
fi
prepgamesdirs
}

1
games-fps/alephone/Manifest

@ -1,2 +1 @@
DIST AlephOne-20100424.tar.bz2 3180896 SHA256 d97089890ce99952027eaf6185baa6cb01b26c2882dfca9e68816dfe7076a5e6 SHA512 b246b662f4bf820238c09fbb6bc55289d0db0a9b5ba15ab2b91a53f93666e81583834fd8a64497074a2e270a2055de24b3be93bb56d58715f9d213b1f4c92494 WHIRLPOOL 3074f6c4ba4925b8a0f7718bdfb0d1084155421397a7604febfeae473635b970b3842152b9a3e200f2bc642790a0dc51e689aa3b18de2235d5697105060c7f93
DIST AlephOne-20150620.tar.bz2 5031898 SHA256 c0f360dfb74a6264f95d375103a74000930cf0439ffb0464f915f5379443e133 SHA512 fb47969137b791f83b111171d7b92b3708597db294ce19fb682ce28c49edcd4cb84a6ce4dcceb6630812a8c676dfe7f39f3fb4642f40ef7086a0d6c6fdeba8df WHIRLPOOL a00150e8c28763d7d01a5d805e449247dc9ff612eb0e9f0aa2d10e7fcf17654342fa31eb5a2eeb3bc756c80cce84dd9664179977900d635e67401036c71a7c10

97
games-fps/alephone/alephone-20100424.ebuild

@ -1,97 +0,0 @@
# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Id$
EAPI=5
inherit autotools eutils games
MY_P=AlephOne-${PV}
DESCRIPTION="An enhanced version of the game engine from the classic Mac game, Marathon"
HOMEPAGE="http://source.bungie.org/"
SRC_URI="mirror://sourceforge/marathon/${MY_P}.tar.bz2"
LICENSE="GPL-2 BitstreamVera"
SLOT="0"
KEYWORDS="amd64 ~ppc ~ppc64 x86"
IUSE="alsa mad mpeg sndfile speex truetype vorbis"
RDEPEND="media-libs/sdl-net
media-libs/sdl-image
media-libs/libsdl[video]
dev-libs/expat
dev-libs/zziplib
media-libs/libpng:0
alsa? ( media-libs/alsa-lib )
mad? ( media-libs/libmad )
mpeg? ( media-libs/smpeg )
virtual/opengl
virtual/glu
sndfile? ( media-libs/libsndfile )
speex? ( media-libs/speex )
truetype? ( media-libs/sdl-ttf )
vorbis? ( media-libs/libvorbis )"
DEPEND="${RDEPEND}
dev-libs/boost"
S=${WORKDIR}/${MY_P}
src_prepare() {
sed "s:GAMES_DATADIR:${GAMES_DATADIR}:g" \
"${FILESDIR}"/${PN}.sh > "${T}"/${PN}.sh \
|| die
# try using the system expat - bug #251108
sed -i \
-e '/SUBDIRS/ s/Expat//' \
-e 's/Expat\/libexpat.a/-lexpat/' \
Source_Files/Makefile.am \
|| die
sed -i \
-e '/Expat/d' \
configure.ac \
|| die
rm -rf Source_Files/Expat
# for automake 1.12 compability - bug #422557
sed -i -e 's:AC_PROG_CC:&\nAC_PROG_OBJCXX:' configure.ac || die
epatch \
"${FILESDIR}"/${P}-boost_145.patch \
"${FILESDIR}"/${P}-gcc47.patch \
"${FILESDIR}"/${P}-png15.patch
eautoreconf
}
src_configure() {
egamesconf \
--enable-lua \
$(use_enable alsa) \
$(use_enable mad) \
$(use_enable mpeg smpeg) \
--enable-opengl \
$(use_enable sndfile) \
$(use_enable speex) \
$(use_enable truetype ttf) \
$(use_enable vorbis)
}
src_install() {
default
dogamesbin "${T}"/${PN}.sh
doman docs/${PN}.6
dohtml docs/*.html
prepgamesdirs
}
pkg_postinst() {
games_pkg_postinst
echo
elog "Read the docs and install the data files accordingly to play."
echo
elog "If you only want to install one scenario, read"
elog "http://traxus.bungie.org/index.php/Aleph_One_install_guide#Single_scenario_3"
elog "If you want to install multiple scenarios, read"
elog "http://traxus.bungie.org/index.php/Aleph_One_install_guide#Multiple_scenarios_3"
echo
}

10
games-fps/alephone/files/alephone-20100424-boost_145.patch

@ -1,10 +0,0 @@
--- Source_Files/Network/Metaserver/network_metaserver.h.old 2011-01-20 23:29:21.000000000 +0100
+++ Source_Files/Network/Metaserver/network_metaserver.h 2011-01-20 23:30:07.000000000 +0100
@@ -32,6 +32,7 @@
#include <map>
#include <memory> // auto_ptr
#include <set>
+#include <stdexcept>
#include "Logging.h"

11
games-fps/alephone/files/alephone-20100424-gcc47.patch

@ -1,11 +0,0 @@
--- Source_Files/Lua/lua_templates.h.old 2012-10-15 09:55:32.395310163 +0200
+++ Source_Files/Lua/lua_templates.h 2012-10-15 09:56:14.991129122 +0200
@@ -496,7 +496,7 @@
static index_t ToIndex(lua_State *L, int index) {
index_t to;
if(lua_isnil(L, index)) return -1;
- else if(_lookup(L, index, to)) return to;
+ else if(L_LazyEnum::_lookup(L, index, to)) return to;
else {
std::string error;
if(lua_isnumber(L, index) || lua_isstring(L, index))

19
games-fps/alephone/files/alephone-20100424-png15.patch

@ -1,19 +0,0 @@
--- Source_Files/RenderOther/IMG_savepng.c.old 2011-09-13 10:20:56.395157142 +0200
+++ Source_Files/RenderOther/IMG_savepng.c 2011-09-13 10:23:00.630142397 +0200
@@ -29,6 +29,7 @@
#include <SDL/SDL.h>
#include <SDL/SDL_byteorder.h>
#include <png.h>
+#include <zlib.h>
#include "IMG_savepng.h"
int IMG_SavePNG(const char *file, SDL_Surface *surf,int compression, struct IMG_PNG_text* text, int num_text){
@@ -85,7 +86,7 @@
goto savedone;
}
/* setup custom writer functions */
- png_set_write_fn(png_ptr,(voidp)src,png_write_data,NULL);
+ png_set_write_fn(png_ptr,(png_voidp)src,png_write_data,NULL);
if (setjmp(png_jmpbuf(png_ptr))){
SDL_SetError("Unknown error writing PNG");

1
games-fps/alienarena/Manifest

@ -1,2 +1 @@
DIST alienarena-7.60-linux20120629.tar.gz 510316326 SHA256 05e4ce83574996e20ab8047dc30a20bf3fae72c39727a3a0bcc04a25bf746e04 SHA512 ec16e2546f34115e31ab24de3b5100c014910c773d200fdaf4302cf2b6930a1487aeffa504bed10a8310d62e15fed1ff67c3d679c1abd5a9750e34cfcac55ffd WHIRLPOOL b0df1c364db4b3d3ae4b603d3c7b3f9cdea416b0cbd7bbc71a573291df2f5c35e6147efa4406fcb9d57829407280d79b0b30581a03f23ac253c7c026060e3810
DIST alienarena-7.66-linux20130827.tar.gz 617636649 SHA256 29086098eacb18319e6dcc9156355c44db4b1aa8a4f7b0bb63e6856d8128b012 SHA512 6b86387b12fc82c01cf7945df5da7beb1a60e42a492b70096c64ace254d6300107a4b40762d20969eefbfe11c7365fbb3a5603b71f288e2330410feef48141a3 WHIRLPOOL 986774a9eb97c6ee0b325cc23801a5320c541ea201b51bf90aa8e13a37c03c24251f8d9f2f1efb2c33a8ff3257926265d440200984087264fee666691f1ee55b

59
games-fps/alienarena/alienarena-20120629.ebuild

@ -1,59 +0,0 @@
# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Id$
EAPI=2
inherit autotools eutils games
MY_PN=alienarena-7.60
DESCRIPTION="Fast-paced multiplayer deathmatch game"
HOMEPAGE="http://red.planetarena.org/"
SRC_URI="http://icculus.org/alienarena/Files/${MY_PN}-linux${PV}.tar.gz"
LICENSE="GPL-2 free-noncomm"
SLOT="0"
KEYWORDS="amd64 x86"
IUSE="dedicated +dga +vidmode"
UIRDEPEND="virtual/jpeg
media-libs/openal
media-libs/libvorbis
media-libs/freetype:2
virtual/glu
virtual/opengl
dga? ( x11-libs/libXxf86dga )
vidmode? ( x11-libs/libXxf86vm )
net-misc/curl"
UIDEPEND="dga? ( x11-proto/xf86dgaproto )
vidmode? ( x11-proto/xf86vidmodeproto )"
RDEPEND="!dedicated? ( ${UIRDEPEND} )"
DEPEND="${RDEPEND}
!dedicated? ( ${UIDEPEND} )
virtual/pkgconfig"
S=${WORKDIR}/${MY_PN/_/.}
src_prepare() {
epatch "${FILESDIR}"/${P}-nodocs.patch
eautoreconf
}
src_configure() {
egamesconf \
--disable-silent-rules \
--disable-dependency-tracking \
--with-icondir=/usr/share/pixmaps \
--without-system-libode \
$(use_enable !dedicated client) \
$(use_with dga xf86dga) \
$(use_with vidmode xf86vm)
}
src_install() {
emake DESTDIR="${D}" install || die
if ! use dedicated ; then
make_desktop_entry ${PN} "Alien Arena"
fi
dodoc docs/README.txt README
prepgamesdirs
}

16
games-fps/alienarena/files/alienarena-20120629-nodocs.patch

@ -1,16 +0,0 @@
diff -ru alienarena-7.51.orig/Makefile.am alienarena-7.51/Makefile.am
--- alienarena-7.51.orig/Makefile.am 2011-03-05 19:34:07.000000000 -0500
+++ alienarena-7.51/Makefile.am 2011-03-13 01:39:37.179366503 -0500
@@ -23,12 +23,6 @@
ACLOCAL_AMFLAGS = -I m4
# Alien Arena documents to be installed in $docdir
-if INSTALL_DOCS
-dist_doc_DATA = \
- docs/license.txt \
- docs/README.txt \
- README
-endif
# FUSE game server browser and Server management scripts
# COPYING and INSTALL are GNU/FSF-supplied documents.

1
games-fps/darkplaces/Manifest

@ -1,4 +1,3 @@
DIST darkplacesengine20110628.zip 23377408 SHA256 d2464c681e3fdcc66cb090e79c44c0c173a43b6f181a12e500b0b1fd7d73ffce SHA512 bf44933470be2856a80ebd73a0cb531c6d22e69da5be24bc52175998ab687b4112c88423a6b42a9a4ed746e0f96c1bb39e188a037a98ea596cf7b6183e390038 WHIRLPOOL b4214be8a9c9aadf02a92c9b7e54d508df38f9e38f650f839a8ea43d9c0768641dbf59c71b210d337f591fac2d77a21a14e7900a3038d1af828f064bf3368071
DIST darkplacesengine20140513.zip 28113487 SHA256 69e5a50991884196e403bd6aab4a33bba553a934a167be366672ab4e223b06c9 SHA512 45864b590057c6de0ea978b3cc967feb879b87b2d376f3b4d8525e037b10ca1fc68599c152506494bb06669c6c2304e0aa0ee1b28f7a0d589d10c23f7285052c WHIRLPOOL 0fca6d87c9d3482112992965b70f829dfd6ecd926d940ad66f5f75aec4438c2b5b33fb6ac51f69c5199f06d53fbc16f1c8d0780db40b8cbd71c7ceb0e67a4048
DIST fuhquake-lits.rar 8388829 SHA256 066fd58e2a6d157a1aa7925334d7e3e6cffa7f5c556e707bc31da8bfecea873c SHA512 6e59f5e08a6c401b329b86b0cd677a04b1a5aee11f24973c77c9e7ea50cab9dedf4fc15c4f3d6b73bdc87bacdc9612a3c244d0a4ceceef943abb6e256ac23925 WHIRLPOOL d398b57c03d02c8180f8ca93f6964ac2118ef50cace3ecbc9da9113b1e91ed3a7b7e5473ebb9ad2f5198828eb8565c7c0470aea2095152b2898335562bef821d
DIST id1.pk3 350470 SHA256 f1ee6e144d1942ebf91a8c71d0333eac94c73efae35377fbe7ae43e0e4ab37dc SHA512 d4d7233bc1e5049e89d09448818219b0ce7941fecde5381cd95933e4c96ebc9b4e34ff7eae5eb5d0d1e3cc2ceb4f5254f4d600aded7dda373713149817621331 WHIRLPOOL 30fe7e6d6ac6408c54e704586d4f4e15d139c0330e4f3e758651bfc2e6582eadae08c590e87264cfb26faae56a7033b383d51f93bf54ddfce7db38e47d569280

188
games-fps/darkplaces/darkplaces-20110628.ebuild

@ -1,188 +0,0 @@
# Copyright 1999-2013 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Id$
EAPI=2
inherit unpacker eutils flag-o-matic games
# Latest versions are in http://icculus.org/twilight/darkplaces/files/
MY_PV=${PV/_beta/beta}
MY_ENGINE="${PN}engine${MY_PV}.zip"
# Different Quake 1 engines expect the lights in different directories
# http://www.fuhquake.net/download.html and http://www.kgbsyndicate.com/romi/
MY_LIGHTS="fuhquake-lits.rar"
DESCRIPTION="Enhanced engine for iD Software's Quake 1"
HOMEPAGE="http://icculus.org/twilight/darkplaces/"
SRC_URI="http://icculus.org/twilight/${PN}/files/${MY_ENGINE}
lights? (
http://www.fuhquake.net/files/extras/${MY_LIGHTS}
http://www.kgbsyndicate.com/romi/id1.pk3 )"
LICENSE="GPL-2"
SLOT="0"
KEYWORDS="amd64 x86"
IUSE="alsa cdinstall cdsound debug dedicated demo lights opengl oss sdl textures"
UIRDEPEND="virtual/jpeg
media-libs/libogg
media-libs/libvorbis
virtual/opengl
alsa? ( media-libs/alsa-lib )
sdl? ( media-libs/libsdl )
x11-libs/libX11
x11-libs/libXpm
x11-libs/libXxf86dga
x11-libs/libXxf86vm"
UIDEPEND="x11-proto/xextproto
x11-proto/xf86dgaproto
x11-proto/xf86vidmodeproto
x11-proto/xproto"
RDEPEND="net-misc/curl
cdinstall? ( games-fps/quake1-data )
demo? ( games-fps/quake1-demodata )
textures? ( >=games-fps/quake1-textures-20050820 )
opengl? ( ${UIRDEPEND} )
!opengl? ( sdl? ( ${UIRDEPEND} ) )
!opengl? ( !sdl? ( !dedicated? ( ${UIRDEPEND} ) ) )"
DEPEND="lights? ( || (
app-arch/unrar
app-arch/rar ) )
opengl? (
${UIRDEPEND}
${UIDEPEND} )
!opengl? ( sdl? (
${UIRDEPEND}
${UIDEPEND} ) )
!opengl? ( !sdl? ( !dedicated? (
${UIRDEPEND}
${UIDEPEND} ) ) )
virtual/pkgconfig
app-arch/unzip"
S=${WORKDIR}/${PN}
dir=${GAMES_DATADIR}/quake1
opengl_client() { use opengl || ( ! use dedicated && ! use sdl ) }
src_unpack() {
if use lights ; then
unpack "${MY_LIGHTS}"
unpack_zip "${DISTDIR}"/id1.pk3
mv *.lit maps/ || die
mv ReadMe.txt rtlights.txt
fi
unpack "${MY_ENGINE}"
unpack ./${PN}*.zip
}
src_prepare() {
rm "${WORKDIR}"/README-SDL.txt
cd "${S}"
rm mingw_note.txt
strip-flags
# Only additional CFLAGS optimization is the -march flag
local march=$(get-flag -march)
sed -i \
-e "s:-lasound:$(pkg-config --libs alsa):" \
-e "/^CPUOPTIMIZATIONS/d" \
-e '/^OPTIM_RELEASE/s/=.*/=$(CFLAGS)/' \
-e '/^OPTIM_DEBUG/s/=.*/=$(CFLAGS)/' \
-e '/^LDFLAGS_DEBUG/s/$/ $(LDFLAGS)/' \
-e '/^LDFLAGS_RELEASE/s/$/ $(LDFLAGS)/' \
-e "s:strip:true:" \
makefile.inc || die "sed makefile.inc failed"
if ! use cdsound ; then
# Turn the CD accesses off
sed -i \
-e "s:/dev/cdrom:/dev/null:" \
cd_linux.c || die "sed cd_linux.c failed"
sed -i \
-e 's:COM_CheckParm("-nocdaudio"):1:' \
cd_shared.c || die "sed cd_shared.c failed"
fi
}
src_compile() {
local opts="DP_FS_BASEDIR=\"${dir}\" DP_LINK_TO_LIBJPEG=1"
# Preferred sound is alsa
local sound_api="NULL"
use oss && sound_api="OSS"
use alsa && sound_api="ALSA"
opts="${opts} DP_SOUND_API=${sound_api}"
local type="release"
use debug && type="debug"
# Only compile a maximum of 1 client
if use sdl ; then
emake ${opts} "sdl-${type}" || die "emake sdl-${type} failed"
elif opengl_client ; then
emake ${opts} "cl-${type}" || die "emake cl-${type} failed"
fi
if use dedicated ; then
emake ${opts} "sv-${type}" || die "emake sv-${type} failed"
fi
}
src_install() {
if opengl_client || use sdl ; then
local type=glx
use sdl && type=sdl
# darkplaces executable is needed, even just for demo
newgamesbin "${PN}-${type}" ${PN} || die "newgamesbin client failed"
newicon darkplaces72x72.png ${PN}.png || die "newicon failed"
if use demo ; then
# Install command-line for demo, even if not desktop entry
games_make_wrapper ${PN}-demo "${PN} -game demo"
fi
if use demo && ! use cdinstall ; then
make_desktop_entry ${PN}-demo "Dark Places (Demo)"
else
# Full version takes precedence over demo
make_desktop_entry ${PN} "Dark Places"
fi
fi
if use dedicated ; then
newgamesbin ${PN}-dedicated ${PN}-ded || die "newgamesbin ded failed"
fi
dodoc *.txt ChangeLog todo "${WORKDIR}"/*.txt
if use lights ; then
insinto "${dir}"/id1
doins -r "${WORKDIR}"/{cubemaps,maps} || die "doins cubemaps maps failed"
if use demo ; then
# Set up symlinks, for the demo levels to include the lights
local d
for d in cubemaps maps ; do
dosym "${dir}/id1/${d}" "${dir}/demo/${d}"
done
fi
fi
prepgamesdirs
}
pkg_postinst() {
games_pkg_postinst
if ! use cdinstall && ! use demo ; then
elog "Place pak0.pak and pak1.pak in ${dir}/id1"
fi
if use sdl ; then
ewarn "Select opengl with alsa, instead of sdl USE flag, for better audio latency."
fi
}

1
games-fps/quake3-defrag/Manifest

@ -1,4 +1,3 @@
DIST defrag_1.91.20.zip 4003519 SHA256 8eec5a9b112b0ac8d3ddad5ed019cb00313445fd2757c121dbd8099a124401a6 SHA512 03fc840e3f743e7a0fac47aad0ee4aa015ac8fd75b2788c4e85347ee009f6b753d1c5bb140831c3225244877ca08b8e9d4cce54e840849047e82cb55b04d4214 WHIRLPOOL a4c7d06584378817f32e91cc21d37f936ba834c6791e3d653bda485d2507ec973552824ee3ed8ba8ab576ad620c20bbe04b846605c1508f25d84b2b14c1e3d26
DIST defrag_1.91.21.zip 4035256 SHA256 9f9b92eda597ce14e1135aa964a3b8bb35371875922dc0403a1844ae948f4c79 SHA512 bfc1614b0e2f2dd674369c9c162c412249e6c514f878eaf82a456c882e2081867d6a7260f62ce4a143c23ff28f4f3a5e75a152db788d66b7a0978225bf4417b8 WHIRLPOOL 1089bef0c0c7dd1ff020bc82c0e7b685aa6b17855193422cd81e4a49bd50fafb68adb47005f340d7db1debae69afe6443403a425b13b58a67f779798c9c3cef5
DIST defragcpmpak01.zip 8567363 SHA256 9de7a8d34d2a31db3c6593d1383c449b0b0cb09768062988736c9f75aad0028f SHA512 2ad013e27886bd5547ac1555711c026b27131311d0261e36f50ee2cc715a21f2781fc57d90fb398b5b6b49eb2b9cdad212fd3da9828c4680dd3ad684d0348cf5 WHIRLPOOL 9aff111d05ca0b686a9dcf1d927f5c5adac751277f0e9b310b98f8eb239dce917cea441a5e7c3b7a9cf66ca2ec61bb7b276e40bee0baf5209c8ec7243ae324ab
DIST defragpak1.zip 3778055 SHA256 0d013be5b338bb6070502fa4d5b20f3f4ac9b7c1b72ccf64a10dd143dece0b7e SHA512 9c42035db51d70f66d2526a67e5a83f1bbfb61a91b73c6f52308d4cc4c84d7322c3a6372392a87de531684c6c75b25955d17121166b0ba4f2e3e1f5b09b12cee WHIRLPOOL 5b26c6316d24d66dc517f652c5513a94bfcb7495d524fe415dab1402e90f93bfffce8f77e919f39c664a544b2952cec8ca1fa7f364c246236629523ba75a732f

45
games-fps/quake3-defrag/quake3-defrag-1.91.20.ebuild

@ -1,45 +0,0 @@
# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Id$
EAPI=5
MOD_DESC="Trickjumping challenges for Quake III"
MOD_NAME="Defrag"
MOD_DIR="defrag"
inherit games games-mods
HOMEPAGE="http://cggdev.org/"
SRC_URI="http://q3defrag.org/files/defrag/defrag_${PV}.zip
http://www.german-defrag.de/files/defrag/defragcpmpak01.zip
http://www.german-defrag.de/files/defrag/df-extras002.zip
http://www.german-defrag.de/files/defrag/defragpak1.zip
http://www.german-defrag.de/files/defrag/defragpak2.zip
http://www.german-defrag.de/files/defrag/defragpak3.zip
http://www.german-defrag.de/files/defrag/defragpak4.zip
http://www.german-defrag.de/files/defrag/defragpak5.zip
http://www.german-defrag.de/files/defrag/defragpak7.zip
http://www.german-defrag.de/files/defrag/defragpak8.zip
http://www.german-defrag.de/files/defrag/defragpak9.zip
http://www.german-defrag.de/files/defrag/defragpak10.zip
http://www.german-defrag.de/files/defrag/defragpak11.zip"
LICENSE="freedist"
KEYWORDS="amd64 ~ppc x86"
IUSE="dedicated opengl"
src_unpack() {
unpack defrag_${PV}.zip
cd ${MOD_DIR}
unpack defragpak{1,2,3,4,5,7,8,9,10,11}.zip
unpack defragcpmpak01.zip
unpack df-extras002.zip
}
src_prepare() {
cd ${MOD_DIR}
mv -f DeFRaG/* . || die
rm -rf DeFRaG
mv -f *.txt docs/ || die
rm -rf misc/{mirc-script,misc,tools}
}

2
games-roguelike/dwarf-fortress/Manifest

@ -1,2 +1,2 @@
DIST df_40_24_linux.tar.bz2 12921246 SHA256 da37c6263a679123e6ac57fe0dd6def11f1d61efee3c5913de09495c88ce9234 SHA512 2242e471b7dbc996e819e2f74b2bbfda30a9a301755bc025ddcccdffdd3afe2e48bbedca31a332283ef829d023069398e57d6a87e26c582ddbce4a67ff7fd755 WHIRLPOOL 03cb652a2564d2b0c809be8252f7754d893f69ac1b95124ea108ed0fde9ac742c498d9e369339775695861e430a2ded0741b018f85551d48731730f98303dc69
DIST df_42_05_linux.tar.bz2 13794886 SHA256 9ab33ef4ad0f73ce90109c59e13200fa2d9366f6088b00bbcf49624dc506f93c SHA512 6c2b12dddadb8cffce4ed2077302f36e0bdfbb1f847a72eafb9bcf36ac3da2fc973573f23090a7f1211d3d756688640334116c6ee5148228ee37966ae5cdb562 WHIRLPOOL fc8dd05e704f3853c07aff0d03004ce6fab03d5c9af0b0ef22cc588934d723b886247099261c528a03f5426df1b006c3c9ea4a6b8589225e1f1cb637ef489f22
DIST df_42_06_linux.tar.bz2 13857747 SHA256 03df8e73bf81e4f7bec9e789a83f8bd20b0b968d73131e4051e005db13fec99f SHA512 dfeb1406dcbd74091170eee4392c8eb876516d723b17e8aa291cab5b670be9fca4e22122788656e37afc03cd0e827e42b8cd27bc148d32639ebb7b8b7fa2bbf4 WHIRLPOOL d8fd93e9d90b4bee942c9a3751d1d03180157e4ecf406cf1cf31441946588990b2385a0b8d376f2a5386d7514d28b7ba5a6fbd2879e3a1e87124d902759909c3

2
games-roguelike/dwarf-fortress/dwarf-fortress-0.42.05.ebuild → games-roguelike/dwarf-fortress/dwarf-fortress-0.42.06.ebuild

@ -1,4 +1,4 @@
# Copyright 1999-2015 Gentoo Foundation
# Copyright 1999-2016 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Id$

1
games-rpg/manaplus/Manifest

@ -1,3 +1,2 @@
DIST manaplus-1.5.11.21.tar.xz 9556540 SHA256 57b6e0d8a730f56060062aa0d6e6baafc100860aa2cc4ba5120d21772410aae6 SHA512 145479b9b6912064356f842910c2a5bbb16bacc7372b898d98f237514722bbac4c6f3fe49ee30942b6e38820cfe9d3508ba5ac64b858a6003e27569327729d7d WHIRLPOOL 628009c082219c63f42892881060dff3784ae419d3d6dab95357272774d0d0545a97cf0d7190157e3338ac38e7f821fe9e3a893f24ee10be71ec6ac83c097722
DIST manaplus-1.5.12.19.tar.xz 9581180 SHA256 8b28cbb1f385124411f4d7c2dc7066b0c0226d9afa905401ebf79c90c4e5aa69 SHA512 afbf40c22f93a2ff7720cacebfeb90ea6669061ba5bab2f45a78bd11b890ca516606b6d260903eaa04b0cf0e3e49dce9301c030de50ffceeb70329d1284e0369 WHIRLPOOL 2fcf321101d6178942db6f51bbd38f88d6423f097ae8fd0d6415d5df2096dbd10e188e008166e57fb3f359edc9c1315dcfad78b546ba8804dabe9984cd00a066
DIST manaplus-1.6.1.16.tar.xz 9610164 SHA256 393678d7de6d0253e53756bb689d2f778ed4c402215c8d72c576fdb6da963aef SHA512 2ba77b8d79e765cad7ecf3074eec49791a3f68d4fa66eed9bbf13adf23e94c35b55d8587850352e0855a7320c828dc886224fa4aa6260cd449a850ba469dd0be WHIRLPOOL f7dfdb3a0693f55d2202f488f0bfd036cb23f821c14962105c73ea16c5969f0c7bd53e2d5abd416f5d588be73de461bc1d58ff9269ed4c55cd4064644a759805

71
games-rpg/manaplus/manaplus-1.5.12.19.ebuild

@ -1,71 +0,0 @@
# Copyright 1999-2015 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Id$
EAPI=5
inherit games
DESCRIPTION="OpenSource 2D MMORPG client for Evol Online and The Mana World"
HOMEPAGE="http://manaplus.evolonline.org"
SRC_URI="http://download.evolonline.org/manaplus/download/${PV}/manaplus-${PV}.tar.xz"
LICENSE="GPL-2"
SLOT="0"
KEYWORDS="~amd64 ~x86"
IUSE="nls opengl"
RDEPEND="
>=dev-games/physfs-1.0.0
dev-libs/libxml2
media-libs/libpng:0=
media-libs/libsdl2[X,opengl?,video]
media-libs/sdl2-gfx
media-libs/sdl2-image[png]
media-libs/sdl2-mixer[vorbis]
media-libs/sdl2-net
media-libs/sdl2-ttf
net-misc/curl
sys-libs/zlib
x11-libs/libX11
x11-misc/xdg-utils
x11-apps/xmessage
media-fonts/dejavu
media-fonts/wqy-microhei
media-fonts/liberation-fonts
media-fonts/mplus-outline-fonts
nls? ( virtual/libintl )
opengl? ( virtual/opengl )"
DEPEND="${RDEPEND}
virtual/pkgconfig
nls? ( sys-devel/gettext )"
src_configure() {
CONFIG_SHELL=/bin/bash \
egamesconf \
--with-sdl2 \
--without-internalsdlgfx \
--localedir=/usr/share/locale \
--prefix="/usr" \
--bindir="${GAMES_BINDIR}" \
$(use_with opengl) \
$(use_enable nls)
}
src_install() {
default
dosym /usr/share/fonts/dejavu/DejaVuSans-Bold.ttf "${GAMES_DATADIR}"/${PN}/data/fonts/dejavusans-bold.ttf
dosym /usr/share/fonts/dejavu/DejaVuSans.ttf "${GAMES_DATADIR}"/${PN}/data/fonts/dejavusans.ttf
dosym /usr/share/fonts/dejavu/DejaVuSansMono-Bold.ttf "${GAMES_DATADIR}"/${PN}/data/fonts/dejavusansmono-bold.ttf
dosym /usr/share/fonts/dejavu/DejaVuSansMono.ttf "${GAMES_DATADIR}"/${PN}/data/fonts/dejavusansmono.ttf
dosym /usr/share/fonts/dejavu/DejaVuSerifCondensed-Bold.ttf "${GAMES_DATADIR}"/${PN}/data/fonts/dejavuserifcondensed-bold.ttf
dosym /usr/share/fonts/dejavu/DejaVuSerifCondensed.ttf "${GAMES_DATADIR}"/${PN}/data/fonts/dejavuserifcondensed.ttf
dosym /usr/share/fonts/liberation-fonts/LiberationMono-Bold.ttf "${GAMES_DATADIR}"/${PN}/data/fonts/liberationsansmono-bold.ttf
dosym /usr/share/fonts/liberation-fonts/LiberationMono-Regular.ttf "${GAMES_DATADIR}"/${PN}/data/fonts/liberationsansmono.ttf
dosym /usr/share/fonts/liberation-fonts/LiberationSans-Bold.ttf "${GAMES_DATADIR}"/${PN}/data/fonts/liberationsans-bold.ttf
dosym /usr/share/fonts/liberation-fonts/LiberationSans-Regular.ttf "${GAMES_DATADIR}"/${PN}/data/fonts/liberationsans.ttf
dosym /usr/share/fonts/mplus-outline-fonts/mplus-1p-bold.ttf "${GAMES_DATADIR}"/${PN}/data/fonts/mplus-1p-bold.ttf
dosym /usr/share/fonts/mplus-outline-fonts/mplus-1p-regular.ttf "${GAMES_DATADIR}"/${PN}/data/fonts/mplus-1p-regular.ttf
dosym /usr/share/fonts/wqy-microhei/wqy-microhei.ttc "${GAMES_DATADIR}"/${PN}/data/fonts/wqy-microhei.ttf
prepgamesdirs
}

1
games-simulation/openttd/Manifest

@ -1,2 +1 @@
DIST openttd-1.5.0-source.tar.gz 10018865 SHA256 4c357205a63a475001a13e4ade59a73635e2f0c480ad097f4d7f03d2ae290ee0 SHA512 c2459165bd8f957d56d4171361237e6de42221f7b8c02f98503e2225a81fd496f10da9d9c60335edb981f86c4c4ce45fafc9edf43ea38a94b84f67136a17a165 WHIRLPOOL 88a15852d1ae01f7a03ea1bcc929bcdf450265a81462aa5316d2e16e86b79167d04503a83bc231eb411d159b70073c650db6e5604adbf07eccda43a193af3e20
DIST openttd-1.5.3-source.tar.gz 10042384 SHA256 a5525de811ff83e89774d9a7344c7f63ec282b956c3f015af259fd79f54d18e5 SHA512 8185ea4b8e5ac9456c7067a5d662b4a2e1724e14fc0455705ec3b72943421cc5cb10cb67a4f483c47ff2fa6621a219cababd08e21086209a53241a74607b5466 WHIRLPOOL 839067c2c6f8f87ea74df376f3d3d5e2a126c5198f69efce1205603da67d97c1a1b0d5dc3b349aa92f916179ccc48581418b5aa1e9e7e250f636fae78bcbf7ac

42
games-simulation/openttd/files/openttd-1.5.0-cflags.patch

@ -1,42 +0,0 @@